Generate a new CVV2 of the specified card.
IMPORTANT:
This API method contains PCI sensitive information.
- Session-Id="Encrypted" AES Key e-g (AB521456236KHU52) is required if encryption is needed and the campaign is configured for encryption of sensitive data.
- This is optional if encryption is not needed and the campaign is not configured for encryption of sensitive data.
You can read more on how our Secure API’s work here.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| reference | String | 1-255 characters | ✓ | The user defined reference to the card; for example a member id or wallet number |
| cardIdentifier | String | 1-20 characters | ✓ | The card number, sequence number or tracking number of the specified card |
| transactionID | String | 1-255 characters | ✓ | A unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | Date | ✓ | Client generated / local Transaction Date to assist in identifying transactions on the client side.; FORMAT: yyyy-mm-dd hh:mm:ss | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0" encoding="UTF-8"?>
<methodCall>
<methodName>UpdateCVV</methodName>
<params>
<param>
<value>
<string>0098510643</string>
</value>
</param>
<param>
<value>
<string>123456</string>
</value>
</param>
<param>
<value>
<string>000000875421</string>
</value>
</param>
<param>
<value>
<string>788ea4d7-46bb-4265-b89f-0c7c6c417220</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20240702T10:00:00</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>04EECD5E5A25F12CA3E5245AF58030B4AAAED1583F8EE48DC2CEAF547FAAE979</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Field | type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result. |
| resultText | String | Text indicating transaction result. |
| cvv2 | Integer | Newly updated CVV2 returned. (Encrypted depending on configuration). |
| IV | String | (optional) The key with which encrypted data in response is encrypted. (Key used for encryption). |
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>cvv2</name>
<value>
<int>111</int>
</value>
</member>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>